## PhoshSystemPrompt

PhoshSystemPrompt — A modal system prompt

## Functions

GtkWidget * | phosh_system_prompt_new ()

## Properties

gboolean | choice-visible | Read
gboolean | confirm-visible | Read
gboolean | password-visible | Read
gboolean | warning-visible | Read

## Types and Values

#define | PHOSH_TYPE_SYSTEM_PROMPT
| PhoshSystemPrompt

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── PhoshLayerSurface
                                ╰── PhoshSystemModal
                                    ╰── PhoshSystemModalDialog
                                        ╰── PhoshSystemPrompt

## Implemented Interfaces

PhoshSystemPrompt implements AtkImplementorIface, GtkBuildable and GcrPrompt.

## Description

The PhoshSystemPrompt is used to ask for PINs and passwords

## Functions

### phosh_system_prompt_new ()

    GtkWidget *
    phosh_system_prompt_new (void);

## Types and Values

### PHOSH_TYPE_SYSTEM_PROMPT

    #define PHOSH_TYPE_SYSTEM_PROMPT (phosh_system_prompt_get_type())

### PhoshSystemPrompt

    typedef struct _PhoshSystemPrompt PhoshSystemPrompt;

## Property Details

### The `“choice-visible”` property

      “choice-visible”           gboolean

Whether the choice check box is visible or not.

Owner: PhoshSystemPrompt

Flags: Read

Default value: FALSE

### The `“confirm-visible”` property

      “confirm-visible”          gboolean

Owner: PhoshSystemPrompt

Flags: Read

Default value: FALSE

### The `“password-visible”` property

      “password-visible”         gboolean

Owner: PhoshSystemPrompt

Flags: Read

Default value: FALSE

### The `“warning-visible”` property

      “warning-visible”          gboolean

Whether the warning label is visible or not.

Owner: PhoshSystemPrompt

Flags: Read

Default value: FALSE